ru.bitel.bgbilling.kernel.network.datalog

## Class IPDataLogUtils.FlowDetail

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.flow.Data
  - - ru.bitel.bgbilling.kernel.network.datalog.IPDataLogUtils.FlowDetail

- Enclosing class:
    IPDataLogUtils

      public static class IPDataLogUtils.FlowDetail
      extends Data

  Класс FlowDetail. Дополняет `Flow` полем направление.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `direction`
    `static int` | `DIRECTION_INCOMING`
    `static int` | `DIRECTION_OUTGOING`
    `static int` | `DIRECTION_UNDEF`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.flow.Data

      `diffServ, dstAddress, dstPort, first, inputInterface, ipv4DstAddress, ipv4SrcAddress, ipv6DstAddress, ipv6SrcAddress, last, milliseconds, nextHop, octets, outputInterface, packets, protocol, srcAddress, srcPort`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowDetail()`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.flow.Data

      `copy, getDiffServ, getDstAddress, getDstIpAddress, getDstPort, getFirst, getInputInterface, getLast, getMilliseconds, getNextHop, getOctets, getOutputInterface, getPackets, getProtocol, getSrcAddress, getSrcIpAddress, getSrcPort, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DIRECTION_UNDEF

          public static final int DIRECTION_UNDEF

      See Also:
        Constant Field Values

    - #### DIRECTION_INCOMING

          public static final int DIRECTION_INCOMING

      See Also:
        Constant Field Values

    - #### DIRECTION_OUTGOING

          public static final int DIRECTION_OUTGOING

      See Also:
        Constant Field Values

    - #### direction

          public int direction

  - ### Constructor Detail

    - #### FlowDetail

          public FlowDetail()